Bug 987233 - [virtio-win][viostor]win8-32 guest cannot upgrade virtio-blk driver to build65
[virtio-win][viostor]win8-32 guest cannot upgrade virtio-blk driver to build65
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: 7.0
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 23:22 EDT by lijin
Modified: 2014-03-25 06:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 06:22:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
win8-32-upgrade-screenshot (16.36 KB, image/png)
2013-07-22 23:22 EDT, lijin
no flags Details
setupapi file (33.31 KB, application/zip)
2013-08-15 03:20 EDT, lijin
no flags Details

  None (edit)
Description lijin 2013-07-22 23:22:24 EDT
Created attachment 777149 [details]
win8-32-upgrade-screenshot

Description of problem:
after downgrade the virtio-blk-pci driver with build 59,then upgrade to the virtio-win-prewhql65,guest cannot upgrade correctly.

Version-Release number of selected component (if applicable):
  qemu-kvm-1.5.1-2.el7.x86_64
  kernel-3.10.0-0.rc7.64.el7.x86_64
  virtio-win-prewhql65
  seabios-1.7.2.2-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot win8-32 guest as:
/usr/libexec/qemu-kvm  \
-drive file=win8-32.qcow3,if=none,cache=none,media=disk,format=qcow2,id=drive-scsi-0 \
-device virtio-blk-pci,drive=drive-scsi-0,id=blk0,bootindex=0 \
-global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 \
-usb -device usb-tablet \
-monitor stdio \
-chardev socket,id=aaaa,path=/tmp/tttt,server,nowait \
-mon chardev=aaaa,mode=readline \
-vnc :1 -vga cirrus \
-chardev file,path=/root/console.log,id=serial1 \
-device isa-serial,chardev=serial1,id=s1 \
-cpu 'Penryn' -M pc \
-smp 2,cores=2,threads=1,sockets=1 -m 2G \
-enable-kvm \
-drive file=test.qcow2,serial=blknumber,if=none,cache=none,media=disk,format=raw,id=drive-scsi-1 \
-device virtio-blk-pci,drive=drive-scsi-1,id=blk1 \

2.install the virtio-blk-pci driver of build 65;
3.downgrade the driver to build 59;
4.upgrade the driver back to build 65.

Actual results:
step1,2,3 can be executed successfully,but after step4,guest show that "windows encounter a problem installing the driver software for your device" and the version is still 5900
the screenshot will be attached later.

Expected results:
guest can be upgrade correctly.

Additional info:
Comment 3 lijin 2013-07-24 23:19:49 EDT
I retry upgrade/downgrade virtio-blk-pci driver on a new installed image,can not reproduce it,driver can be upgrade/downgrade correctly;
But after several random operations,such as disable/enble/uninstall/install driver and running iometer/crystaldiskmark tool,this issue happens again.
Comment 9 lijin 2013-08-15 03:20:38 EDT
Created attachment 786831 [details]
setupapi file
Comment 10 Vadim Rozenfeld 2013-08-31 06:19:36 EDT
can we check if update to build 68 works?
http://download.devel.redhat.com/brewroot/work/tasks/7431/6217431/virtio-win-prewhql-0.1.zip

Thanks,
Vadim.
Comment 11 lijin 2013-09-06 01:08:13 EDT
still hit this issue with build 68 and please note that:
1.if downgrade and upgrade on a brand new image,driver can be update correctly;
2.if do some operation(crstaldiskmark,s4) on the new image,then downgrade and upgrade,guest cannot upgrade to build 68.
Comment 12 Vadim Rozenfeld 2013-09-06 03:35:08 EDT
(In reply to lijin from comment #11)
> still hit this issue with build 68 and please note that:
> 1.if downgrade and upgrade on a brand new image,driver can be update
> correctly;
> 2.if do some operation(crstaldiskmark,s4) on the new image,then downgrade
> and upgrade,guest cannot upgrade to build 68.

What happens if you disable/enable driver after crstaldiskmark and only then
perform downgrade/upgrade?

Thanks,
Vadim.
Comment 13 lijin 2013-09-09 01:59:10 EDT
(In reply to Vadim Rozenfeld from comment #12)
> (In reply to lijin from comment #11)
> > still hit this issue with build 68 and please note that:
> > 1.if downgrade and upgrade on a brand new image,driver can be update
> > correctly;
> > 2.if do some operation(crstaldiskmark,s4) on the new image,then downgrade
> > and upgrade,guest cannot upgrade to build 68.
> 
> What happens if you disable/enable driver after crstaldiskmark and only then
> perform downgrade/upgrade?
> 
> Thanks,
> Vadim.

disable/enable the driver of data disk,then perform downgrade/upgrade,still hit the same issue.
Comment 15 Mike Cao 2014-02-28 01:25:42 EST
lijin , pls retested on the latest virtio-win/qemu-kvm-rhev/kernel
Comment 16 lijin 2014-03-03 02:42:26 EST
(In reply to Mike Cao from comment #15)
> lijin , pls retested on the latest virtio-win/qemu-kvm-rhev/kernel

retest on the latest package,win8-32 does not hit this issue,virtio-win driver can be downgrade/upgrade correctly.

package info:
qemu-kvm-rhev-1.5.3-50.el7.x86_64
kernel-3.10.0-98.el7.x86_64
seabios-1.7.2.2-11.el7.x86_64
virtio-win-1.6.8-4.el6.noarch

steps:
1.boot win8-32 guest with:
/usr/libexec/qemu-kvm -drive file=win8-32.qcow2,if=none,cache=none,media=disk,format=qcow2,id=drive-scsi-0 -device virtio-blk-pci,drive=drive-scsi-0,id=blk0,bootindex=0 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -usb -device usb-tablet -monitor stdio -chardev socket,id=aaaa,path=/tmp/tttt,server,nowait -mon chardev=aaaa,mode=readline -vnc :1 -vga cirrus -chardev file,path=/root/console.log,id=serial1 -device isa-serial,chardev=serial1,id=s1 -cpu Penryn -M pc -smp 2,cores=2,threads=1,sockets=1 -m 2G -enable-kvm -drive file=test.qcow2,serial=blknumber,if=none,cache=none,media=disk,format=qcow2,id=drive-scsi-1 -device virtio-blk-pci,drive=drive-scsi-1,id=blk1 -cdrom /usr/share/virtio-win/virtio-win.iso
2.disble/enable/uninstall/install/crystalldiskmark/iozone/iometer on the guest.
3.downgrade viostor to prewhq-59 and reboot guest.
4.upgrade viostor to virtio-win-1.6.8-4

actual result:
viostor driver can be downgrade and upgrade correctly.

Note You need to log in before you can comment on or make changes to this bug.